#define GDLCONTROL
#define FRIENDS
#define ICARUS  // use ICARUS, SHADINZ, or comment out both
//#define SHADINZ
#define ALERTS  // comment this out if you want to pass through original GDL90 alerts unmodified. Echo doesn't send any, some other boxes probably do

int32_t ownModeSCode=0xA1B2C3;  // N2085A // (Use your proper ICAO Code) // used for filtering
// ICAO Codes of friends and people with this box:
// 0xA1B2C3 = Nxxxxx  List your friends here for future reference in notes only
// 0xABC123 = Nxxxxx  Another test dummy friend
// 0xABC456 = Nxxxxx  A 3rd test dummy friend

// Maintenance bit override
bool maintenanceOverride=true;

// serial baude rate settings
int gdl90_outbaud=38400;
int gdl90_inbaud=115200;
int icarus_inbaud=9600;
int gtxremote_inbaud=9600;
const int outputBufferSize=3456; // gdl90_outbaud* 0.9; 10368 for 115200bps; 3456 for 38400bps

// ghost filter settings
float ghost_dist_diff=0.40; //4/16 miles
float ghost_alt_diff=400; // feet absolute (up or down)
float ghost_track_diff=60; // degrees absolute (left or right)

// Traffic alert settings
int32_t alert_alt_diff=400; // feet
int32_t alert_fuzzy_alt_diff=950; // feet
int32_t alert_seconds_before=40; // seconds to close filter
int32_t alert_vector_length=40; // vector length in seconds, for checking if velocity vectors intersect
float alert_dist_diff=0.5; // alert if target is within x mile, backup for alerting on close proximity parallel traffic
float positive_closure_distance=1.0; // alert if a target has a positive closign speed and is within this distance
int32_t positive_closure_max_time=180; //seconds

//maximum number of closest intruders to track
const int maxIntruders=60;
// maximum number of intruders to send out
const int maxIntrudersOut=20;

// filter GDL90 out by distance
float filterDistance=80; // miles
// filter GDL90 out by altitude, leave both positive
int32_t filterAltitudeAbove=5000; //feet 
int32_t filterAltitudeBelow=10000; //feet   

// coasting time
uint16_t coastTime=10000; // milliseconds

const int maxUplinkMessages=5;

#ifdef FRIENDS
const int totalFriends=3; // update this number to the total number of ICAO Codes for friends you list below
// Comment area for adding N-Numbers that match the codes below (for notes only)
int32_t friendArray[totalFriends]={0xA1B2C3,0xABC123,0xABC456}; // mode S hex codes //
// Note: 3 random codes are added for space holders.  Be aware that you should either remove these and set
// the count to zero for const int totalFriends=0, or you should update them to add your friends.
// Also, you may comment out the #define FRIENDS at the top to disable the functionality.

// friend display settings
float FRIEND_dist_start=1; //miles,  start friend alert at "_start" miles
float FRIEND_dist_max=80; // max friend alert distance
#endif

int heartbeatInterval=1000; // change this to 1000 for live data, replay data comes in way faster

unsigned long alert_hold_time=3; // hold alert for x seconds
